Bug 371981 - Typo in section 18.10 may cause confusion
Typo in section 18.10 may cause confusion
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Curran
Don Domingo
: Documentation, Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-11-08 17:48 EST by Troels Arvin
Modified: 2009-08-20 00:01 EDT (History)
0 users

See Also:
Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-23 00:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Troels Arvin 2007-11-08 17:48:29 EST
there is a recipie for making a block device (such as a logical volume) ready
for xen guest usage. One of the steps is described as:
semanage fcontext -a -t xen_image _t -f -b /dev/sda2

However, the space between "xen_image" and "_t" makes the command fail, and the
problem is hard to spot.
Comment 1 Christopher Curran 2008-01-29 00:12:14 EST
This bug has occurred in an older version of the Virtualization Guide. The new
version of the Red Hat Enterprise Linux Virtualization Guide will not be based
on this version. The Virtualization Guide will be rewritten and re-based off the
present Virtualization Cookbook.

We may not have time to fix this bug in previous versions.
Comment 2 Troels Arvin 2008-07-22 03:12:24 EDT
This bug was recently closed, assumingly because the latest version of the
virtualization guide was fixed.
However, the exact same bug exists in the later version of the guide! (This
time, the relevant section is numbered 29.9):

Please: It's a one-character fix, which can really save time people who aren't
proficient in SELinux.
Comment 3 Christopher Curran 2008-11-06 20:37:59 EST
Turns out this isn't the right way to manage SELinux contexts with virtualization. The entire section is being rewritten. Thank you for your diligence in spotting the bug, twice :)

Note You need to log in before you can comment on or make changes to this bug.